<template>
  <q-dialog v-model="sendSuccessful">
    <q-card style="width: 300px">
      <q-card-section>
        <div class="text-h6 text-center text-green">Заявка отправлена!</div>
      </q-card-section>

      <q-card-section class="q-pt-none text-center">
        Мы уже занимаемся вашим вопросом
      </q-card-section>

      <q-card-actions align="right" class="bg-white text-teal">
        <q-btn flat label="OK" v-close-popup />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script>
import axios from "axios";
import {onMounted, ref} from "vue";

export default {
  name: "Send-form",
  props: {
    form: {type: Object, default: {}}
  },
  setup (props, {emit}) {
    const sendSuccessful = ref(false)
    onMounted(() => {
      axios.post('https://technik-crm.ru:5000/lead/import-lead', {
        name: props.form?.name,
        email: props.form?.email,
        phone: props.form?.phone,
        additional: props.form?.additional || '',
        website: 'автоюрист-регион.рф',
        generate: 'автоюрист-регион.рф',
        city:  props.form?.city || '',
        note: 'Сайт: автоюрист-регион.рф' + ' ' + props.form?.note || ''
      }).then(() => {
        emit('sendSuccessful', true)
        sendSuccessful.value = true
      })
    })
    return {
      sendSuccessful
    }
  }
}
</script>

<style scoped>

</style>